package com.srs.dormitory.mapper;

import java.util.List;
import java.util.Map;

import com.srs.dormitory.domain.DmsLiveDetail;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 住宿详情Mapper接口
 *
 * @author srs
 * @date 2024-02-22
 */
@Mapper
public interface DmsLiveDetailMapper extends BaseMapper<DmsLiveDetail> {
    /**
     * 查询住宿详情
     *
     * @param id 住宿详情主键
     * @return 住宿详情
     */
    public DmsLiveDetail selectDmsLiveDetailById(Long id);

    /**
     * 查询住宿详情列表
     *
     * @param dmsLiveDetail 住宿详情
     * @return 住宿详情集合
     */
    List<DmsLiveDetail> selectDmsLiveDetailList(DmsLiveDetail dmsLiveDetail);

    /**
     * 新增住宿详情
     *
     * @param dmsLiveDetail 住宿详情
     * @return 结果
     */
    int insertDmsLiveDetail(DmsLiveDetail dmsLiveDetail);

    /**
     * 修改住宿详情
     *
     * @param dmsLiveDetail 住宿详情
     * @return 结果
     */
    int updateDmsLiveDetail(DmsLiveDetail dmsLiveDetail);

    /**
     * 删除住宿详情
     *
     * @param id 住宿详情主键
     * @return 结果
     */
    int deleteDmsLiveDetailById(Long id);

    /**
     * 批量删除住宿详情
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteDmsLiveDetailByIds(Long[] ids);

    List<Map<String, String>> selectRecords(@Param("i") int i,@Param("semesterId") Long semesterId);
}
